.product-ranges,
.product-page {
    text-align: center;
    padding: var(--space-m);
}

.product-ranges__intro, .product-ranges__brochures {
    padding: var(--space-m);
}

.product-ranges__cta-blocks, .product-ranges__cta-block--big {
    width: 100%;
    max-width: 1400px;
    margin: var(--space-l) auto;
    display: flex;
    justify-content: space-between;
    gap: var(--space-m);
}

.product-ranges__cta-block {
    position: relative;
    min-height: 270px;
    width: 100%;
}

.product-ranges__cta-block--big {
    height: 400px;
}

.product-ranges__cta-block-image {
    height: 100%;
    width: 100%;
    position: absolute;
    inset: 0;
    object-fit: cover;
    object-position: center;
}

.product-ranges__cta-block-content {
    position: relative;
    height: 100%;
    max-width: 75%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: var(--space-xl);
    z-index: 1;
}

.product-page {
    .product-page__back-button {
        display: flex;
        padding-bottom: var(--space-s);
        align-items: center;
        color: #888;
        gap: var(--space-2xs);

        i {
            font-size: 25px;
        }
    }

    .product-page__content {
        display: flex;
        justify-content: space-between;
        margin-bottom: var(--space-l);
    }

    .product-page__info {
        width: 70%;
        text-align: start;
    }

    .product-page__product-img {
        max-height: 125px;
        margin-bottom: var(--space-s);
    }

    .product-page__buttons {
        margin: var(--space-s) 0;
        display: flex;
        gap: var(--space-s);
        flex-wrap: wrap;
    }

    .product-page__apply {
        padding: var(--space-s);
        background-color: #f5f5f5;
    }

    .product-page__brochures {
        display: flex;
        flex-wrap: wrap;
        gap: var(--space-s);
    }

    .product-page__brochure {
        display: flex;
        flex-direction: column;
        text-align: center;
        gap: var(--space-2xs);
    }

    .product-page__brochure-image {
        max-height: 260px;
        max-width: 260px;
        border-radius: 24px;
        background-color: #f28b2d;
        padding: 6px;
    }

    .product-page__cta-blocks {
		width: 25%;
        display: flex;
        flex-direction: column;
        gap: var(--space-s);
    }

    .product-page__cta-block {
		position: relative;
		height: 100%;
		max-height: 300px;
        padding: var(--space-m);
        display: flex;
		flex: 1;
        flex-direction: column;
        justify-content: center;
        align-items: center;
		background-color: #f5f5f5;
        text-align: center;
		color: #00263D;
		transition: 
			background-color .25s ease-in-out,
			color .25s ease-in-out;
		outline: none;
    }
	
	.product-page__cta-block:is(:hover, :focus-within) {
		background-color: #024466;
		
		* {
			color: #fff;
		}
	}

	.product-page__cta-background {
		height: 150px;
		width: 150px;
		position: absolute;
		left: -10px;
		bottom: -10px;
		background-size: cover;
		background-position: center center;
		z-index: 1;
	}
}

@media all and (max-width: 992px) {
    .product-ranges__cta-blocks {
        flex-wrap: wrap;
    }

    .product-ranges__cta-block-content {
        max-width: 100%;
        padding: var(--space-l);
    }

    
    .product-ranges__cta-block-image {
        object-position: left;
    }

	.product-page {
		.product-page__content {
			flex-direction: column;
		}
		
		.product-page__info {
			width: 100%;
			text-align: start;
		}
		
		.product-page__cta-blocks {
			width: 100%;
			flex-direction: row;
		}
	}
}

@media all and (max-width: 768px) {
	.product-page {
		.product-page__cta-blocks {
			flex-direction: column;
		}
	}
}